﻿@using PagedList;
@using PagedList.Mvc;
@model IPagedList<testWEb.Models.PRODUCT>

<thead>
    <tr>
        <th>Product ID</th>
        <th>Product Name</th>
        <th>Price</th>
        <th>Sale Price</th>
        <th>Quantity</th>
        <th>Description</th>
        <th>Categories</th>
        <th>Thumbnail</th>
        <th></th>
    </tr>
</thead>
<tbody>

    @if (Model != null)
    {
        foreach (var item in Model)
        {
            <tr>
                <td>@item.ProductID</td>
                <td>@item.ProductName</td>
                <td>@item.Price</td>
                <td>@item.Sale_Price</td>
                <td>@item.Quantity</td>
                <td>@item.Short_Description</td>


                <td>@item.Categories</td>
                <td width="100px">
                    @if (item.Thumbnail != null)
                    {
                        <img src="@Url.Content(item.Thumbnail)" width="100px" />
                    }
                </td>
                <td><a class="btn btn-default" href="@Url.Action("Edit", "AdminSP", new { ProductID = item.ProductID })"><i class="fa fa-pencil-square-o"></i>Sửa</a></td>
                <td><a class="btn btn-danger" onclick="return confirm('Bạn có chắc muốn xóa sản phẩm ');" href="@Url.Action("Xoa", "AdminSP", new { ProductID = item.ProductID })">Xóa</a></td>

            </tr>
        }
    }


</tbody>
Trang @(Model.PageCount < Model.PageNumber ? 0 : Model.PageNumber)/ @Model.PageCount

<div class="PagerControl">

    <div class="PagerNumberArea">

        <span>
            <a href="#" class="SelectedPrev"><i class="fa fa-angle-left"></i></a>
        </span>

        @*đường link page*@
        <span class="SelectedPage">
            @Html.PagedListPager(Model, page => Url.Action("DanhSachPost", new { page = page }))
        </span>
        <span>
            <a href="#" class="UnselectedNext"><i class="fa fa-angle-right"></i></a>
        </span>

    </div>

</div><!-- end PagerControl -->
